> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seminode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new  partner

> Creates a new  partner for the company. Requires admin privileges.



## OpenAPI

````yaml https://api.seminode.com/v1/docs/public post /v1/companies/me/partners
openapi: 3.0.1
info:
  contact: {}
  description: Standard HTTP Basic authentication (username & password).
  title: Seminode API
  version: '1.0'
servers:
  - url: https://api.seminode.com/v1
security: []
tags: []
paths:
  /v1/companies/me/partners:
    post:
      tags:
        - Partner
      summary: Create a new  partner
      description: Creates a new  partner for the company. Requires admin privileges.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/partner.Partner'
        description: ' partner data'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/partner.Partner'
          description: ' partner created successfully'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: invalid request body
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: failed to create  partner
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
      security:
        - LoginAuth: []
components:
  schemas:
    partner.Partner:
      properties:
        company_id:
          type: string
        company_name:
          type: string
        contact:
          type: string
        created_at:
          type: string
        domain:
          description: External Partner Fields
          type: string
        emails:
          items:
            type: string
          type: array
        id:
          type: string
        public_key:
          type: string
        reference_company_id:
          description: For Internal partners
          type: string
        status:
          type: string
        type:
          description: '"external" - distinguishes from internal partners'
          type: string
        updated_at:
          type: string
      type: object
    utils.ErrorResponse:
      properties:
        error:
          type: string
      type: object
  securitySchemes:
    LoginAuth:
      scheme: basic
      type: http

````